sales-invoices-sales-types-post¶
Source¶
Repository:
jef-systems/jef-sales-invoices-backendSource Run ID:
24009064841Source SHA:
92f7d367e27d34a8feb772a445da302f33a286afModule:
sales-invoicesDocumentation Scope:
asyncLambda:
jef-sales-invoices-post-45
Endpoint¶
API Name:
jef-sales-invoicesAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/sales-invoices-sales-types-postComplete Endpoint:
https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-sales-types-postLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-post-45curl payload mode:
json_body
API Gateway Description¶
Function: jef-sales-invoices-post-45
API Name: jef-sales-invoices
Action: post
Method: POST
Resource Path: /sales-invoices-sales-types-post
Payload:
- name: Retail Sale
- description: Standard retail sale
- vat_classification: VATABLE
- default_discount: 0.00
Response:
- ok: true
- job_id: job-uuid
- status: PENDING
Request Payload¶
{
"name": "Retail Sale",
"description": "Standard retail sale",
"vat_classification": "VATABLE",
"default_discount": "0.00"
}
Response¶
{
"ok": "true",
"job_id": "job-uuid",
"status": "PENDING"
}
CMD curl¶
curl -X POST "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-sales-types-post" -H "Content-Type: application/json" --data-raw "{\"name\": \"Retail Sale\", \"description\": \"Standard retail sale\", \"vat_classification\": \"VATABLE\", \"default_discount\": \"0.00\"}"
PowerShell curl¶
curl.exe -X POST "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-sales-types-post" -H "Content-Type: application/json" --data-raw '{"name": "Retail Sale", "description": "Standard retail sale", "vat_classification": "VATABLE", "default_discount": "0.00"}'